import { Document, Field } from '../common';
export type CardinalityAggregationOptions = {
    precision_threshold?: number;
};
export type CardinalityField<TDocument extends Document> = {
    field: Field<TDocument>;
    precision_threshold?: number;
};
export type CardinalityScript = {
    script: string;
};
export type CardinalityAggregationBody<TDocument extends Document> = CardinalityField<TDocument> | CardinalityScript;
export type CardinalityAggregation<TDocument extends Document> = {
    cardinality: CardinalityAggregationBody<TDocument>;
};
export declare const getCardinalityAggregation: <TDocument extends Document>(fieldOrScript: Field<TDocument> | CardinalityScript, options?: CardinalityAggregationOptions) => CardinalityAggregation<TDocument>;
