import { Document, Field } from '../common';
import { MissingOrder, Order } from '../enums';
export type TermsAggregationOrder = {
    [x: string]: Order;
};
export type TermsAggregationOptions = {
    order?: TermsAggregationOrder | Order;
    missing_bucket?: boolean;
    missing_order?: MissingOrder;
};
export type TermsAggregationBody<TDocument extends Document> = {
    field: Field<TDocument>;
    size?: number;
    order?: TermsAggregationOrder | Order;
    missing_bucket?: boolean;
    missing_order?: MissingOrder;
};
export type TermsAggregation<TDocument extends Document> = {
    terms: TermsAggregationBody<TDocument>;
};
export declare const getTermsAggregation: <TDocument extends Document, TField extends Field<TDocument> = Field<TDocument>>(field: TField, size?: number, options?: TermsAggregationOptions) => TermsAggregation<TDocument>;
