import { Document, Field, FieldType } from '../common';
export type TermsQueryOptions = {
    boost?: number;
};
export type TermsQueryBody<TDocument extends Document, TKeyword extends Field<TDocument> = Field<TDocument>> = {
    [x in TKeyword]?: Array<FieldType<TDocument, TKeyword>>;
};
export type TermsQuery<TDocument extends Document, TKeyword extends Field<TDocument> = Field<TDocument>> = {
    terms: TermsQueryBody<TDocument, TKeyword>;
};
export declare const getTermsQuery: <TDocument extends Document, TField extends Field<TDocument> = Field<TDocument>>(field: TField, values: Array<FieldType<TDocument, TField>>, options?: TermsQueryOptions) => TermsQuery<TDocument, TField>;
