import { ClassConstructor, Document, Sort } from '../common';
import { BoolQuery } from '../queries';
import { AggregationsContainer } from '../aggregations';
export type SearchRequestOptions<TDocument extends Document, TAggregationsBody extends AggregationsContainer<TDocument>> = {
    size?: number;
    from?: number;
    query?: BoolQuery<TDocument>;
    aggregations?: TAggregationsBody;
    sort?: Sort<TDocument> | Array<Sort<TDocument>>;
};
export type SearchRequest<TDocument extends Document, TAggregationsBody extends AggregationsContainer<TDocument>> = {
    index: string;
    size?: number;
    from?: number;
    query?: BoolQuery<TDocument>;
    aggregations?: TAggregationsBody;
    sort?: Sort<TDocument> | Array<Sort<TDocument>>;
};
export declare const getSearchRequest: <TDocument extends Document, TAggregationsBody extends AggregationsContainer<TDocument>>(document: ClassConstructor<TDocument>, options?: SearchRequestOptions<TDocument, TAggregationsBody>) => SearchRequest<TDocument, TAggregationsBody>;
