"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSearchRequest = void 0;
const constants_1 = require("../constants");
const getSearchRequest = (document, options) => {
    const index = Reflect.getMetadata(constants_1.ELASTICSEARCH_INDEX_NAME_METADATA, document);
    if (!index) {
        throw new Error(`Unregistered index name for ${document} schema.`);
    }
    const { size, from, query, aggregations, sort } = options || {};
    return {
        index,
        size,
        from,
        query,
        aggregations,
        sort
    };
};
exports.getSearchRequest = getSearchRequest;
//# sourceMappingURL=get-search-request.js.map