"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var ElasticsearchModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElasticsearchModule = void 0;
const elasticsearch_1 = require("@nestjs/elasticsearch");
const common_1 = require("@nestjs/common");
const constants_1 = require("../lib/constants");
const injectables_1 = require("./injectables");
const elasticsearch_service_1 = require("./elasticsearch.service");
const utils_1 = require("./utils");
let ElasticsearchModule = ElasticsearchModule_1 = class ElasticsearchModule {
    static register(options) {
        return {
            global: true,
            module: ElasticsearchModule_1,
            imports: [elasticsearch_1.ElasticsearchModule.register(options)],
            providers: [elasticsearch_service_1.ElasticsearchService],
            exports: [elasticsearch_service_1.ElasticsearchService]
        };
    }
    static forFeature(documents) {
        const providers = documents.map(document => {
            const index = Reflect.getMetadata(constants_1.ELASTICSEARCH_INDEX_NAME_METADATA, document);
            if (!index) {
                throw new Error(`Class (${document.toString()}) is not registered with @RegisterIndex(name: string) decorator!`);
            }
            return {
                inject: [elasticsearch_service_1.ElasticsearchService],
                provide: (0, utils_1.getIndexInjectionToken)(index),
                useFactory: (service) => new injectables_1.Index(service, document)
            };
        });
        return {
            module: ElasticsearchModule_1,
            providers,
            exports: providers
        };
    }
};
exports.ElasticsearchModule = ElasticsearchModule;
exports.ElasticsearchModule = ElasticsearchModule = ElasticsearchModule_1 = __decorate([
    (0, common_1.Module)({})
], ElasticsearchModule);
//# sourceMappingURL=elasticsearch.module.js.map