"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElasticsearchService = void 0;
const common_1 = require("@nestjs/common");
const elasticsearch_1 = require("@nestjs/elasticsearch");
const responses_1 = require("../lib/responses");
const elasticsearch_2 = require("../lib/elasticsearch");
const injectables_1 = require("./injectables");
let ElasticsearchService = class ElasticsearchService {
    baseElasticsearchService;
    constructor(baseElasticsearchService) {
        this.baseElasticsearchService = baseElasticsearchService;
    }
    search(document, options) {
        const params = (0, elasticsearch_2.getSearchRequestParams)(document, options);
        return this.baseElasticsearchService
            .search(params)
            .then(response => (0, responses_1.getSearchResponse)(document, response));
    }
    getIndex(document) {
        return new injectables_1.Index(this, document);
    }
    getClusterHealth(options) {
        return this.baseElasticsearchService.cluster.health(options).then(response => response.body);
    }
    getBaseService() {
        return this.baseElasticsearchService;
    }
};
exports.ElasticsearchService = ElasticsearchService;
exports.ElasticsearchService = ElasticsearchService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [elasticsearch_1.ElasticsearchService])
], ElasticsearchService);
//# sourceMappingURL=elasticsearch.service.js.map